local Terminal  = require('toggleterm.terminal').Terminal
local bacon = Terminal:new({ cmd = "bacon", hidden = true })
local entangled = Terminal:new({ cmd = "entangled watch", hidden = true })

function _bacon_toggle()
  bacon.dir = vim.fn.expand("%:h")
  bacon:toggle()
end

function _entangled_toggle()
  entangled.dir = vim.fn.expand("%:h")
  entangled:toggle()
end

return {
  n = {
    ["<leader>Z"] = { name = "zk" },
    ["<leader>Zi"] = { ":ZkIndex<cr>", desc = "Index notes" },
    ["<leader>Zn"] = { ":ZkNew<cr>", desc = "New note" },
    ["<leader>Zs"] = { ":ZnNotes<cr>", desc = "Search notes" },
    ["<leader>tb"] = { _bacon_toggle, desc = "ToggleTerm bacon "},
    ["<leader>te"] = { _entangled_toggle, desc = "ToggleTerm entangled" },
  }
}
